org.apache.sling.crankstart.core

## Class CrankstartParserImpl

- java.lang.Object
- - org.apache.sling.crankstart.core.CrankstartParserImpl

All Implemented Interfaces:
  org.apache.sling.crankstart.api.CrankstartParser

    public class CrankstartParserImpl
    extends Object
    implements org.apache.sling.crankstart.api.CrankstartParser

Default crankstart parser

### Constructor Summary

Constructors
Constructor and Description
`CrankstartParserImpl()`

### Method Summary

Methods
`protected String` `getVariable(String name)`
`Iterator<org.apache.sling.crankstart.api.CrankstartCommandLine>` `parse(Reader r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrankstartParserImpl

    public CrankstartParserImpl()

### Method Detail

#### parse

    public Iterator<org.apache.sling.crankstart.api.CrankstartCommandLine> parse(Reader r)
                                                                          throws IOException

Specified by:
  `parse` in interface `org.apache.sling.crankstart.api.CrankstartParser`
Throws:
  `IOException`

#### getVariable

    protected String getVariable(String name)